package com.fs.tulin.mapper;


import com.fs.tulin.entity.PeriodInfo;
import com.fs.tulin.entity.QwExUserInfo;
import com.fs.tulin.entity.TulinInfoSyncLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: 信息同步Mapper
 * @author: Guos
 * @time: 2025/10/23 上午11:45
 */
@Mapper
public interface TulinInfoSyncLogMapper {


    /**
     * 插入记录
     */
    int insert(TulinInfoSyncLog record);

    /**
     * 根据主键更新记录
     */
    int updateByPrimaryKey(TulinInfoSyncLog record);

    /**
     * 根据主键删除记录
     */
    int deleteByPrimaryKey(@Param("fsUserId") Long fsUserId);

    /**
     * 根据主键查询记录
     */
    TulinInfoSyncLog selectByPrimaryKey(@Param("fsUserId") Long fsUserId);

    /**
     * 查询所有记录
     */
    List<TulinInfoSyncLog> selectAll();

    /**
     * 查询学生信息
     */
    List<QwExUserInfo> selectStudentInfo();

    /**
     * 根据用户id查询
     * @param fsUserId
     * @return
     */
    List<PeriodInfo> selectPeriodInfo(@Param("fsUserId") Long fsUserId);

}
